## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate apple-xar

Name:           rust-apple-xar
Version:        0.18.0
Release:        %autorelease
Summary:        XAR archive reading and writing

License:        MPL-2.0
URL:            https://crates.io/crates/apple-xar
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop static feature from xz2
# * Temporarily downgrade serde-xml-rs to 0.4
# * Relax bzip2 dependency to allow both 0.4 and 0.5:
#   https://github.com/indygreg/apple-platform-rs/pull/181
Patch:          apple-xar-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
XAR archive reading and writing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signing-devel %{_description}

This package contains library source intended for building other packages which
use the "signing" feature of the "%{crate}" crate.

%files       -n %{name}+signing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Mar 21 2025 Fabio Valentini <decathorpe@gmail.com> - 0.18.0-3
- Relax bzip2 dependency to allow both 0.4 and 0.5

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Sep 15 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.18.0-1
- Initial import; Fixes: RHBZ#2296106
## END: Generated by rpmautospec
